@import "/media/templates/administrator/atum/css/template.css";
@import "/media/templates/administrator/atum/css/vendor/fontawesome-free/fontawesome.css";

a[target="_blank"]:before { display: none; }

:root { --hue: 230; }

.card.card-body, #com-users-select {
    border-radius: 2px;
    background-color: white;
    box-shadow: 1px 2px 3px 0 rgba(0, 0, 0, 0.2);
    margin: 0;
    padding: 20px 30px;

    h2 {
        font-size: 16px;
        font-weight: 500;
        color: #1717e5;
        padding: 16px 0;
    }
}    

.card.card-body.users-mfa-captive, #com-users-select {
    margin: 0 auto;
    max-width: 600px;
}

/* Hide the 'Verification Code' title field as it is unnecessary and a bit confusing */
form#com-users-method-edit:not([action*=webauthn]) h2 ~ div.row:has(> label.col-form-label[for="com-users-method-edit-title"]) {
    display: none;
}
.offset-sm-3 {
    margin-left: 0;
}

/* Fix the layout for the 'Backup Codes' page, since it has no wrapper to target as a white frame */
.cb-dashboard-content:has(> a.btn-danger) {
    margin: 40px;
    width: calc(100% - 80px);
    padding: 20px 30px;

    border-radius: 2px;
    background-color: white;
    box-shadow: 1px 2px 3px 0 rgba(0, 0, 0, 0.2);

    h2 {
        font-size: 16px;
        font-weight: 500;
        color: #1717e5;
        padding: 16px 0;
    }

    .btn {
        margin-left: 16px !important;
        width: initial;
    }
}

/* Button layout fixes */
*:not(.com-users-methods-list-method-record-actions) > .btn {
    border: none;
    padding-top: 8px;
}

.btn-secondary:hover {
    color: var(--btn-hover-color);
    background-color: var(--btn-hover-bg);
    border-color: var(--btn-hover-border-color);
}

/* Re-apply white h2 text on dark backgrounds */
.text-white h2 {
    color: white !important;
}

/* Not needed */
div.control-label:has(#jform_webauthn_webauthn-lbl) {
    display: none;
}